summaryrefslogtreecommitdiff
path: root/source4/script/tests/selftest.sh
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2005-06-09 09:48:43 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:17:53 -0500
commit1d0117c5193fec7c5a02909e2700fb6101da380d (patch)
tree9609216fdcac624434422afe87ad40f3d8dba195 /source4/script/tests/selftest.sh
parent35314f2427d82c819903087d04e3cd7915b32b36 (diff)
downloadsamba-1d0117c5193fec7c5a02909e2700fb6101da380d.tar.gz
samba-1d0117c5193fec7c5a02909e2700fb6101da380d.tar.bz2
samba-1d0117c5193fec7c5a02909e2700fb6101da380d.zip
r7434: - do local tests step by step for better build-farm output
- fix typo ADDARGS -> ADDARG metze (This used to be commit 38e5198b1121725b4f1c9b27ac2f97bee43607fe)
Diffstat (limited to 'source4/script/tests/selftest.sh')
-rwxr-xr-xsource4/script/tests/selftest.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/source4/script/tests/selftest.sh b/source4/script/tests/selftest.sh
index 69c4bb7f83..b3198e0f46 100755
--- a/source4/script/tests/selftest.sh
+++ b/source4/script/tests/selftest.sh
@@ -46,7 +46,7 @@ EOF
ADDARG="-s $CONFFILE"
if [ x"$RUN_FROM_BUILD_FARM" = x"yes" ];then
- ADDARGS="$ADDARGS --option=\"torture:progress=no\""
+ ADDARG="$ADDARG --option=\"torture:progress=no\""
fi
SMBD_TEST_FIFO="$PREFIX/smbd_test.fifo"
@@ -70,7 +70,7 @@ START=`date`
$SRCDIR/script/tests/test_binding_string.sh localhost $USERNAME $PASSWORD $DOMAIN $ADDARG || failed=`expr $failed + $?`
$SRCDIR/script/tests/test_echo.sh localhost $USERNAME $PASSWORD $DOMAIN $ADDARG || failed=`expr $failed + $?`
$SRCDIR/script/tests/test_posix.sh //localhost/tmp $USERNAME $PASSWORD "" $ADDARG || failed=`expr $failed + $?`
- $SRCDIR/bin/smbtorture $ADDARG ncalrpc: LOCAL-* || failed=`expr $failed + 1`
+ $SRCDIR/script/tests/test_local.sh $ADDARG || failed=`expr $failed + $?`
exit $failed
) 9>$SMBD_TEST_FIFO
failed=$?